Solved GUI Shop Error

Discussion in 'Spigot Plugin Help' started by ThisIsAwesome55, Aug 2, 2018.

Thread Status:
Not open for further replies.
  1. GUI Shop Error:

    [18:50:01] ThisIsAwesome55 issued server command: /shop

    [18:50:04] Could not pass event InventoryClickEvent to GUIShop v6.5.3a

    [18:50:04] org.bukkit.event.EventException: null

    [18:50:04] at org.bukkit.plugin.java.JavaPluginLoader$1.execute(JavaPluginLoader.java:308) ~[spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:62) ~[spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at org.bukkit.plugin.SimplePluginManager.fireEvent(SimplePluginManager.java:500) ~[spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:485) ~[spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at net.minecraft.server.v1_13_R1.PlayerConnection.a(PlayerConnection.java:2130) ~[spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at net.minecraft.server.v1_13_R1.PacketPlayInWindowClick.a(SourceFile:33) ~[spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at net.minecraft.server.v1_13_R1.PacketPlayInWindowClick.a(SourceFile:10) ~[spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at net.minecraft.server.v1_13_R1.PlayerConnectionUtils.a(SourceFile:10) ~[spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [?:1.8.0_131]

    [18:50:04] at java.util.concurrent.FutureTask.run(FutureTask.java:266) [?:1.8.0_131]

    [18:50:04] at net.minecraft.server.v1_13_R1.SystemUtils.a(SourceFile:198) [spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at net.minecraft.server.v1_13_R1.MinecraftServer.w(MinecraftServer.java:884) [spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at net.minecraft.server.v1_13_R1.DedicatedServer.w(DedicatedServer.java:411) [spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at net.minecraft.server.v1_13_R1.MinecraftServer.v(MinecraftServer.java:819) [spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at net.minecraft.server.v1_13_R1.MinecraftServer.run(MinecraftServer.java:717) [spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] at java.lang.Thread.run(Thread.java:748) [?:1.8.0_131]

    [18:50:04] Caused by: java.lang.NoSuchMethodError: org.bukkit.inventory.ItemStack.<init>(IIS)V

    [18:50:04] at com.pablo67340.guishop.listenable.Shop.loadShop(Shop.java:305) ~[?:?]

    [18:50:04] at com.pablo67340.guishop.listenable.Menu.onShopClick(Menu.java:201) ~[?:?]

    [18:50:04] at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_131]

    [18:50:04] at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_131]

    [18:50:04] at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_131]

    [18:50:04] at java.lang.reflect.Method.invoke(Method.java:498) ~[?:1.8.0_131]

    [18:50:04] at org.bukkit.plugin.java.JavaPluginLoader$1.execute(JavaPluginLoader.java:304) ~[spigot-1.13-1730.jar:git-Spigot-69774b3-549d9b0]

    [18:50:04] ... 15 more
    I don't understand this so any help would be great!
     
  2. Looks like you are using spigot 1.13. This plugin is not compatible with it yet.
     
  3. I changed to a different plugin, now I have a different problem. Do I need to create a new forum post?

    For now I will just put it here

    Basically players have the correct perms, they can sell to Admin Chests but can't buy. I'm using ChestShop plugin, no error is generating or anything special, nothing is said, its just not doing it unless your OPed. Plugin list below. I'm using PEX and they do have the correct permissions. Also WG is disabled since I don't have worldedit because of no 1.13 version.
     

    Attached Files:

  4. Well post your permissions folder, if no errors are showing then its most likely a perm issue. And no Chest shop plugin I see has 1.13 support which one exactly are you using please link.
     
  5. My PEX folder is:
    groups:
    Adventurer:
    permissions:
    - essentials.tpahere
    - essentials.tpaccept
    - essentials.tpa
    - essentials.kit
    - essentials.balancetop
    - essentials.balance.others
    - essentials.balance
    - ChestShop.shop.create.*
    - ChestShop.shop.sell
    - ChestShop.shop.buy
    - essentials.rules
    - essentials.whois
    - essentials.msg
    - essentials.help
    - essentials.afk
    - essentials.afk.auto
    - essentials.worth
    - essentials.sell
    - essentials.suicide
    - essentials.spawn
    - essentials.back
    - essentials.build
    - essentials.build.break.*
    - essentials.build.craft.*
    - essentials.build.drop.*
    - essentials.build.interact.*
    - essentials.build.pickup.*
    - essentials.build.place.*
    - essentials.delhome
    - essentials.home
    - essentials.sethome
    - essentials.sethome.multiple.Adventurer
    - modifyworld.*
    options:
    default: 'true'
    prefix: '&7[&7Adventurer&7]&f '
    Priest:
    inheritance:
    - Adventurer
    permissions:
    - -essentials.sethome.multiple.Adventurer
    - essentials.sethome.multiple.Priest
    options:
    prefix: '&7[&2Priest&7]&f '
    HolyKnight:
    inheritance:
    - Priest
    permissions:
    - essentials.seen
    - -essentials.sethome.multiple.Priest
    - essentials.sethome.multiple.HolyKnight
    options:
    prefix: '&7[&3HolyKnight&7]&f '
    Overlord:
    inheritance:
    - HolyKnight
    permissions:
    - -essentials.sethome.multiple.HolyKnight
    - essentials.sethome.multiple.Overlord
    options:
    prefix: '&7[&5&lOverlord&7]&f '
    ArchAngel:
    inheritance:
    - Overlord
    permissions:
    - -essentials.sethome.multiple.Overlord
    - essentials.sethome.multiple.ArchAngel
    options:
    prefix: '&7[&6&lArchAngel&7]&f '
    DemiGod:
    inheritance:
    - ArchAngel
    permissions:
    - -essentials.sethome.multiple.ArchAngel
    - essentials.sethome.multiple.DemiGod
    options:
    prefix: '&7[&a&lDemiGod&7]&f '
    God:
    inheritance:
    - DemiGod
    permissions:
    - -essentials.sethome.multiple.DemiGod
    - essentials.sethome.multiple.God
    options:
    prefix: '&7[&c&lGod&7]&f '
    Admin:
    permissions:
    - essentials.chat.ignoreexempt
    - '*'
    options:
    prefix: '&7[&4&lAdmin&7]&f '
    Dev:
    options:
    prefix: '&7[&3&lDev&7]&f '
    permissions:
    - essentials.chat.ignoreexempt
    - '*'
    Mod:
    options:
    prefix: '&7[&d&lMod&7]&f '
    permissions:
    - essentials.chat.ignoreexempt
    Builder: {}
    Owner:
    permissions:
    - essentials.chat.ignoreexempt
    - '*'
    options:
    prefix: '&7[&b&lOwner&7]&f '
    users:
    32b8ba05-47b7-4c11-87c7-9b50c7d17a54:
    permissions:
    - '*'
    options:
    name: ThisIsAwesome55
    group:
    - Dev
    2163487c-7477-4a74-8aaf-729219d849cf:
    options:
    name: AngelOfIcee
    group:
    - Admin
    52d158af-0415-4c08-8516-fcae67e83899:
    permissions: []
    options:
    name: Mysterioussaki
    a8d1c6d2-dd27-4012-a1e4-0a4fb78a20ca:
    group:
    - Admin
    options:
    name: Unpayedovertime
    0ba3f8a3-d44e-4b76-b433-b041806b3e91:
    options:
    name: Bekile
    group:
    - Adventurer
    permissions: []
    ff3ea6f6-d2ee-4d0a-81f1-cbb1d44c4cc6:
    group:
    - Adventurer
    options:
    name: WoolyKai
    permissions:
    - ChestShop.shop.buy
    - ChestShop.shop.*
    schema-version: 1
    and if you read some of the players perms I tested the
    - ChestShop.shop.buy
    - ChestShop.shop.*
    directly and that still did not work. Please keep in mind being OPed it works, but when your default Adventurer, non OPed it doesn't work correctly and no error or permission deny being written on Console or in-game. The Bukkit page: https://dev.bukkit.org/projects/chestshop and this is where I downloaded it https://ci.minebench.de/job/ChestShop-3/
     
  6. Did you get the Stable build or the latest? Cause the stable build is for 1.12 I understand it works for OP players so I would think the plugin is working properly. Are players able to create chests and just not buy or is it all around not working for them? Sometimes the wildcard "*" will not work properly with certain permissions plugins although I am somewhat certain this would work with pex.
     
  7. So yes players can create shops and play like normal, its just they can't buy and no clue why, haven't done /reload or anything so I don't really know.
     
Thread Status:
Not open for further replies.